Retrieve timeseries
curl --request GET \
--url https://linkryse.com/v1/analytics/timeseries \
--header 'Authorization: Bearer <token>'import requests
url = "https://linkryse.com/v1/analytics/timeseries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://linkryse.com/v1/analytics/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Analytics API
Retrieve timeseries
Retrieve timeseries data for clicks.
GET
/
v1
/
analytics
/
timeseries
Retrieve timeseries
Query Parameters
string
The ID of the link to retrieve analytics for.
string
The interval for the analytics. values:
24h, 7d, 30d, 90d. Defaults to 30d.Response
Returns an array of objects, each containing astart (timestamp) and clicks (count).
[
{
"start": "2023-11-01T00:00:00.000Z",
"clicks": 50
},
{
"start": "2023-11-02T00:00:00.000Z",
"clicks": 120
}
]
Code Examples
cURL
curl --request GET \
--url 'https://linkryse.com/v1/analytics/timeseries?linkId=link_123&interval=24h' \
--header 'Authorization: Bearer sk_live_...'
Node.js
const timeseries = await linkryse.analytics.timeseries({
linkId: 'link_123',
interval: '24h'
});
⌘I